Support » Plugin: Jetpack by WordPress.com » Parse error: syntax error, unexpected ‘[‘, expecting ‘)’ – simple-payments.php

  • Resolved arindamg

    (@arindamg)



    I just updated to the latest Jetpack 6.3 updated approx two hours back from now. And it broke my site with below error. I had to disable Jetpack manually via file manager.

    Is it something that recent update broke?

    Anyone is also facing this?

    Parse error: syntax error, unexpected '[', expecting ')' in /xxx/wp-content/plugins/jetpack_disabled/modules/widgets/simple-payments.php on line 220

    I tried to reinstall but while activating I am getting same above error with “Plugin could not be activated because it triggered a fatal error.”

Viewing 15 replies - 31 through 45 (of 46 total)
  • Plugin Support pmciano

    (@pmciano)

    @meeksbayfirecom

    As far as I can tell, all of the instructions require me to be able to at least access the admin console.

    The page we linked to included instructions on how to manually remove a plugin without access to the site’s Dashboard. This can be done via FTP:

    1. Login to the site via your FTP Program.
    2. Go to the WordPress Plugins Directory and find where the Plugin is installed.
    3. Delete the WordPress Plugin folder and/or files from your server.

    We hope that clarifies things.

    All Resolved! I went to FatCow and they were able to resolved the entire issue.

    Excellent! We’re glad to hear that.

    Thank you for your attempts.

    You’re very welcome, and thank you for your patience 🙂

    My hosting was using PHP 5.3.29 so I changed it to 5.5.13 on the CPanel and it works fine now.

    Whatever is going on at simple-payments.php line 220 seems to be a compatibility issue with PHP versions below 5.4 so it should solve the issue for now.

    Plugin Support pmciano

    (@pmciano)

    @alenonimo

    My hosting was using PHP 5.3.29 so I changed it to 5.5.13 on the CPanel and it works fine now.

    …seems to be a compatibility issue with PHP versions below 5.4 so it should solve the issue for now.

    As @htdat mentioned, we recommend running a more modern version of PHP, as per this requirement:

    https://wordpress.org/about/requirements/

    Regardless, thank you for your feedback!

    I know, the recommendation is 7.2 but it wouldn’t show up on the cPanel. I decided to request an upgrade on the shared hosting plan, as I think it will probably upgrade the PHP version and a lot of other things.

    But it was nice to know that I could fix it temporarily without having to delete the plugin. I had all but forgotten that I could just change the PHP version on cPanel.

    Plugin Support pmciano

    (@pmciano)

    I decided to request an upgrade on the shared hosting plan, as I think it will probably upgrade the PHP version and a lot of other things.

    Understood. We hope you have a better experience after the upgrades.

    it was nice to know that I could fix it temporarily without having to delete the plugin. I had all but forgotten that I could just change the PHP version on cPanel.

    Got it, and thank you for sharing your feedback!

    If you have additional questions, feel free to start a new thread and we will be glad to assist you!

    Thanks @trystan-2, your quarantine method worked for me.

    I have the same error in multisite on latest WP, PHP 7.2 and version 6.3.2 of jetpack:

    Fatal error: Uncaught Error: Class 'Jetpack_Simple_Payments' not found in /wp-content/plugins/jetpack/modules/widgets/simple-payments.php on line 479

    This broke the websites. Removing the plugin folder is the only way to have them back. Reinstalling it gives the same error.

    • This reply was modified 2 months, 3 weeks ago by  DreadLox.
    Plugin Support pmciano

    (@pmciano)

    @dreadlox

    You may want to try following the steps here:

    https://wordpress.org/support/topic/fatal-error-on-multisites/#post-10475452

    We hope that helps!

    @htdat
    Thanks for that quick fix.

    Does anybody know why that error was not reproduced locally and only live?

    We do all updates locally first and we didn’t have a problem but when we went live… we got this error.

    Plugin Support pmciano

    (@pmciano)

    @nusa-surf

    Are you referring to the issue @htdat addressed here?

    https://wordpress.org/support/topic/parse-error-syntax-error-unexpected-expecting-simple-payments-php/#post-10460763

    If so, what version of PHP were you using in your local environment?

    I am getting a fatal error with sites in our multisite network, running Jetpack 6.3.2 and PHP 5.6.37. We held off on upgrading from 6.2.1. I guess we should have held off longer.

    What is especially frustrating is that some sites in the multisite network are loading just fine, but others are showing a WSOD and generating the fatal error.

    Fatal error: Class ‘Jetpack_Simple_Payments’ not found in /srv/bindings/XXXX/code/wp-content/plugins/jetpack/modules/widgets/simple-payments.php on line 479

    I am not sure if this makes a difference, but we had tested quite a few sites with Jetpack 6.3.2, and they all seemed to load fine, but with the site that our customer reported the WSOD, the Jetpack plugin had never been set up.

    I still downgraded to Jetpack 6.2.1. We can’t use Simple Payments anyway. It would jeopardize our non-profit status.

    Plugin Support Dat Hoang

    (@htdat)

    @eizzumdm

    Fatal error: Class ‘Jetpack_Simple_Payments’ not found in /srv/bindings/XXXX/code/wp-content/plugins/jetpack/modules/widgets/simple-payments.php on line 479

    This specific error (this fine and this line 479) is not related to the PHP version. It’s more about how this class is loaded.

    More details on https://github.com/Automattic/jetpack/issues/9875

    For a temporary solution, you can fix this issue by adding some lines as the fix here – https://github.com/Automattic/jetpack/pull/9871/files

    This fix will be included in the upcoming version of Jetpack 6.4.

    I have to same “Parse error: syntax error, unexpected ‘[‘, expecting ‘)’ in /home/content/43/12299543/html/wp-content/plugins/jetpack/modules/widgets/simple-payments.php on line 220” problem.

    Could you help me with this please? I remember having a similar bug issue a long time ago, but I can’t remember how it was resolved.
    I can’t access my site and I’m not tech-savvy so please help me get started..

    Plugin Support Dat Hoang

    (@htdat)

    @bellsatu512

    I have to same “Parse error: syntax error, unexpected ‘[‘, expecting ‘)’ in /home/content/43/12299543/html/wp-content/plugins/jetpack/modules/widgets/simple-payments.php on line 220” problem.

    This is the error with PHP 5.3 and below.

    Please upgrade to the latest version 6.3.3 to fix this issue.

    More info:

    * https://wordpress.org/support/topic/parse-error-syntax-error-unexpected-expecting-simple-payments-php/#post-10461405
    * https://jetpack.com/2018/07/04/jetpack-6-3-2-simple-payment-fix/

Viewing 15 replies - 31 through 45 (of 46 total)
  • The topic ‘Parse error: syntax error, unexpected ‘[‘, expecting ‘)’ – simple-payments.php’ is closed to new replies.